Bug 124308 - tg3 driver not able to go at gigabit speed with RH AS 3.0 U2
tg3 driver not able to go at gigabit speed with RH AS 3.0 U2
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-25 11:31 EDT by Gianluca Cecchi
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:25:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Cecchi 2004-05-25 11:31:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040117

Description of problem:
After updating rx4640 and rx2600 from RH AS 3.0 U1 to U2,
tg3 driver is not able any more to go at gigabit speed,
neither in bonding configuration (as it is our configuration),
nor as standalone driver.
The adapter link is reported to go continuously up and down.
More precisely, the adapters can only go at 100MB/s: at this speed
they works ok.
But we have a Gigabit backbone and require them to go at Gb/s speed.
There are some strange things with this driver:
In release notes of U2 it is stated:

Broadcom Tigon3 (tg3 driver)

     o This driver has been updated from v2.3 to v2.7

Actually we find that driver present in kernel provided with U2 is
version 3.1.
Where is the mistake, in Release notes or in kernel bits?

At the moment we have made a workaround in this way:
- take tg3.h and tg3.c provided with RH U1 kernel (2.4.21-9)
- substitute tg3.c and tg3.h in RH U2 kernel (2.4.21-e15)
- recompile kernel using same .config as the one provided in standard U2

So we are using v2.3 drivers recompiled against 2.4.21-15 U2 kernel

They work great and we have no problem, both in standalone way, 
and in bonding configuration (active-passive),
working at 1GB/s speed.

The problem still remains as this is not a supported configuration.
We can use it at the moment as the servers are in testing phase 
and we need to go ahead with many activities f
or pre-production.
But we need asap a working supported patch.
Are you already aware of this problem with U2?
Ethernet controller is  "Broadcom Corporation NetXtreme BCM5701 "
The servers are rx2600 and rx4640.
"lspci -v" on rx2600 reports:
20:02.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5701
Gigabit Ethernet (rev 15)
        Subsystem: Hewlett-Packard Company HP Core Lan 1000Base-T
        Flags: bus master, 66Mhz, medium devsel, latency 192, IRQ 56
        Memory at 0000000090800000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] PCI-X non-bridge device.
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Vital Product Data
        Capabilities: [58] Message Signalled Interrupts: 64bit+
Queue=0/3 Enable-

60:01.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5701
Gigabit Ethernet (rev 15)
        Subsystem: Hewlett-Packard Company HP 1000Base-T (PCI) [A7061A]
        Flags: bus master, 66Mhz, medium devsel, latency 192, IRQ 58
        Memory at 00000000b0000000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] PCI-X non-bridge device.
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Vital Product Data
        Capabilities: [58] Message Signalled Interrupts: 64bit+
Queue=0/3 Enable-


and on rx4640 reports:

40:01.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5701
Gigabit Ethernet (rev 15)
        Subsystem: Hewlett-Packard Company HP 1000Base-T (PCI) [A7061A]
        Flags: bus master, 66Mhz, medium devsel, latency 192, IRQ 58
        Memory at 00000000a0000000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] PCI-X non-bridge device.
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Vital Product Data
        Capabilities: [58] Message Signalled Interrupts: 64bit+
Queue=0/3 Enable-

80:01.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5701
Gigabit Ethernet (rev 15)
        Subsystem: Hewlett-Packard Company HP 1000Base-T (PCI) [A7061A]
        Flags: bus master, 66Mhz, medium devsel, latency 192, IRQ 59
        Memory at 00000000c0000000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] PCI-X non-bridge device.
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Vital Product Data
        Capabilities: [58] Message Signalled Interrupts: 64bit+
Queue=0/3 Enable-

c0:01.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5701
Gigabit Ethernet (rev 15)
        Subsystem: Hewlett-Packard Company HP 1000Base-T (PCI) [A7061A]
        Flags: bus master, 66Mhz, medium devsel, latency 192, IRQ 64
        Memory at 00000000e0000000 (64-bit, non-prefetchable) [size=64K]
        Capabilities: [40] PCI-X non-bridge device.
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Vital Product Data
        Capabilities: [58] Message Signalled Interrupts: 64bit+
Queue=0/3 Enable-


Thanks in advance for any help.
Bye,
Gianluca Cecchi


Version-Release number of selected component (if applicable):
kernel-2.4.21-15.EL.ia64

How reproducible:
Always

Steps to Reproduce:
1. configure tg3 driven adapters
2. configure them for 1000MB/s
3. look at /var/log/messages

    

Actual Results:  link continuously up and down in /var/log/messages;
network not
usable


Expected Results:  correct work at 1000MB/s


Additional info:
Comment 1 Suzanne Hillman 2004-05-26 10:11:38 EDT
If this is something for which you need a quick reply, you would
probably be wise to go through support, using an up to date entitlement:

https://www.redhat.com/apps/support/
Comment 2 RHEL Product and Program Management 2007-10-19 15:25:38 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.